Plesk upgrade from 10.4 to 12.0 fails with the error : ERROR while trying to upgrade SQL database from 10130

Created:

2016-11-16 13:14:50 UTC

Modified:

2017-08-16 17:19:14 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Plesk upgrade from 10.4 to 12.0 fails with the error : ERROR while trying to upgrade SQL database from 10130

Applicable to:

  • Plesk 11.x for Linux
  • Plesk 12.0 for Linux

Symptoms

Plesk upgrade from 10.4 to 12.0 fails with the error:

ERROR while trying to upgrade SQL database from 10130

Cause

The issue caused by psa database inconsistency

Resolution

In order to fix the issue perform the following steps:

  1. Create psa database dump:

    # mysqldump -uadmin -p`cat /etc/psa/.psa.shadow ` psa > dump_name.sql
  2. Run the following command:

    #mysql -uadmin -p`cat /etc/psa/.psa.shadow` psa < /usr/local/psa/bootstrapper/pp12.0.18-bootstrapper/db/psa_db_upgrade_10130.sql
  3. Regarding the output from previous step find a faulting SQL command and fix the issue by adding necessary fields into corresponding table in psa database.

Have more questions? Submit a request
Please sign in to leave a comment.